%define oname	CorsixTH

Name:		corsixth
Epoch:		1
Version:	0.66
Release:	%mkrel 1
Summary:	Open source clone of Theme Hospital
Group:		Games/Strategy
License:	MIT
URL:		https://github.com/CorsixTH/CorsixTH
Source0:	https://github.com/CorsixTH/CorsixTH/archive/v%{version}/%{oname}-%{version}.tar.gz
# https://github.com/CorsixTH/CorsixTH/pull/2110
# Patch0:		corsixth-0.65.1-ffmpeg-5.0.patch

BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)

Requires:	lua-filesystem
Requires:	lua-lpeg
Recommends:	TiMidity++

%description
This project aims to reimplement the game engine of Theme Hospital, and
be able to load the original game data files. This means that you will
need a purchased copy of Theme Hospital in order to enjoy CorsixTH.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt README.txt
%{_gamesbindir}/corsix-th
%{_gamesdatadir}/corsix-th/
%{_iconsdir}/hicolor/scalable/apps/corsix-th.svg
%{_datadir}/applications/com.corsixth.corsixth.desktop
%{_datadir}/metainfo/com.corsixth.corsixth.metainfo.xml
%{_mandir}/man6/corsix-th.6.*


%changelog
* Sat Nov 19 2022 papoteur <papoteur> 1:0.66-1.mga9
+ Revision: 1909077
- new 0.66

* Mon Mar 14 2022 mrambo3501 <mrambo3501> 1:0.65.1-2.mga9
+ Revision: 1790968
- rebuild for ffmpeg 5.0

* Sun Jan 02 2022 akien <akien> 1:0.65.1-1.mga9
+ Revision: 1766232
- Version 0.65.1

* Mon Jun 21 2021 akien <akien> 1:0.65-2.mga9
+ Revision: 1731590
- Build against latest lua (5.4) for compat with filesystem and lpeg modules

* Mon Jun 21 2021 akien <akien> 1:0.65-1.mga9
+ Revision: 1731504
- Version 0.65

* Sun Apr 04 2021 wally <wally> 1:0.64-2.mga9
+ Revision: 1713244
- build with lua 5.1

* Mon Oct 19 2020 akien <akien> 1:0.64-1.mga8
+ Revision: 1636870
- Version 0.64

* Fri Feb 14 2020 umeabot <umeabot> 1:0.62-2.mga8
+ Revision: 1520082
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Nov 04 2018 daviddavid <daviddavid> 1:0.62-1.mga7
+ Revision: 1328076
- new version: 0.62

* Sun Sep 23 2018 umeabot <umeabot> 1:0.61-3.mga7
+ Revision: 1296805
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 daviddavid <daviddavid> 1:0.61-2.mga7
+ Revision: 1222555
- rebuild for new ffmpeg 4.0

* Thu Dec 28 2017 akien <akien> 1:0.61-1.mga7
+ Revision: 1186580
- Version 0.61

* Tue May 02 2017 akien <akien> 1:0.60-3.mga6
+ Revision: 1098276
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1:0.60-2.mga6
+ Revision: 1089847
- Rebuild for ffmpeg 3.2.4

* Thu Aug 11 2016 akien <akien> 1:0.60-1.mga6
+ Revision: 1045734
- Add lua-filesystem and lua-lpeg requires
- Version 0.60
  o Use lua5.2 instead of luajit (upstream default)

* Wed Jan 13 2016 akien <akien> 1:0.50-1.mga6
+ Revision: 922896
- Version 0.50

* Tue Dec 23 2014 akien <akien> 1:0.40-1.mga5
+ Revision: 805119
- Version 0.40

* Fri Nov 14 2014 akien <akien> 1:0.30-4.mga5
+ Revision: 797145
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1:0.30-3.mga5
+ Revision: 740788
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 umeabot <umeabot> 1:0.30-2.mga5
+ Revision: 693124
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ dams <dams>
- new version 0.30

* Tue Dec 17 2013 dams <dams> 1:0.30-0.20131216.1.mga4
+ Revision: 558278
- new git snapshot (20131216)

* Wed Oct 23 2013 dams <dams> 1:0.30-0.20131023.2.mga4
+ Revision: 546587
- use .svg for the icon game instead of building .png with the .ico

* Wed Oct 23 2013 dams <dams> 1:0.30-0.20131023.1.mga4
+ Revision: 546568
- new git snapshot (20131023)

* Sat Oct 19 2013 umeabot <umeabot> 1:0.30-0.20130908.2.mga4
+ Revision: 534211
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 dams <dams> 1:0.30-0.20130908.1.mga4
+ Revision: 476510
- new version svn snapshot for 0.30
- add a patch for CMakeLists for moved LICENSE.txt (reported upstream)

* Mon Jul 15 2013 fwang <fwang> 1:0.21-2.mga4
+ Revision: 454446
- rebuild for new ffmpeg

* Thu May 23 2013 dams <dams> 1:0.21-1.mga4
+ Revision: 425067
- new version 0.21

* Tue Mar 26 2013 dams <dams> 1:0.20-1.mga3
+ Revision: 405247
- new version 0.20
- update BuildRequires

* Fri Jan 11 2013 umeabot <umeabot> 1:0.11-2.mga3
+ Revision: 348187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 18 2012 dams <dams> 1:0.11-1.mga3
+ Revision: 319410
- new version 0.11

* Tue Sep 25 2012 dams <dams> 1:0.10-1.mga3
+ Revision: 297686
- new version 0.10
- clean specfile

* Mon Jun 25 2012 dams <dams> 1:0.01b-4.mga3
+ Revision: 263543
- remove 'how to use' from 'description'

* Thu Jun 14 2012 dams <dams> 1:0.01b-3.mga3
+ Revision: 260593
- Add 'TiMidity++' as require to make music work

* Tue Jun 12 2012 dams <dams> 1:0.01b-2.mga3
+ Revision: 260140
- Update game icon with the legal/official icon

* Mon Jun 11 2012 dams <dams> 1:0.01b-1.mga3
+ Revision: 259769
- add the good BuildRequire for freetype2-devel
- new version 0.01b
- clean specfile
- update BuildRequires
- add Epoch as previous version was not the good one

* Fri Jan 27 2012 fwang <fwang> 0.8-2.mga2
+ Revision: 202196
- cleanup spec

* Wed Sep 28 2011 supp <supp> 0.8-1.mga2
+ Revision: 149929
- update to Beta8, fixing various bugs and adding VIP visits...

* Sun Jun 26 2011 supp <supp> 0.7-1.mga2
+ Revision: 114064
-update to b7 release

* Mon Apr 25 2011 wally <wally> 0.6-2.mga1
+ Revision: 90308
- fix desktop file name (mga#954)
- drop buildroot definition

* Sun Mar 27 2011 supp <supp> 0.6-1.mga1
+ Revision: 78013
- imported package corsixth

